Bug 139204 - system-config-netboot requires alchemy but is not dependancy
system-config-netboot requires alchemy but is not dependancy
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-netboot (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-13 19:02 EST by Simon Roberts
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-20 02:45:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Roberts 2004-11-13 19:02:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Successfully installed system-config-netboot on a bare install machine
(no X) using yum (lots of RPMs installed), but program failed to start
with a python error about missing Alchemist.  Missing dependency?  See
below for details.

Version-Release number of selected component (if applicable):
system-config-netboot-0.1.8-1

How reproducible:
Didn't try

Steps to Reproduce:
1. install minimal system (without alchemist or system-config-netboot)
2. yum install system-config-netboot
3. system-config-netboot
    

Actual Results:  [root@file-server ~]# system-config-netboot
Traceback (most recent call last):
  File "/usr/sbin/system-config-netboot", line 36, in ?
    import Alchemist
ImportError: No module named Alchemist
[root@file-server ~]#


Expected Results:  Program should have started without error

Additional info:

Installing alchemist (via yum) made THAT problem go away.  Now it
complains about "no fonts found".  Again, installing fonts-xorg-base
(and friends) fixed that.
Comment 1 Daniel Walsh 2004-11-15 09:22:00 EST
Remove the     import Alchemist from the PY file.  
This is no longer needed.

I will be putting out an update release

system-config-netboot-0.1.11-1
Comment 2 Marius Andreiana 2005-08-20 02:45:23 EDT
update was pushed.

Note You need to log in before you can comment on or make changes to this bug.